### File

`src/lib/data-grid-edit-cell-def.directive.ts`

### Metadata

Selector | `[rxapDataGridEditCellDef]`
Standalone | `true`

### Index

###### Properties
Public template
###### Methods
Static ngTemplateContextGuard

### Constructor

`constructor(template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>)`
Defined in src/lib/data-grid-edit-cell-def.directive.ts:22
Parameters :
Name | Type | Optional
template | `TemplateRef<DataGridEditCellDefDirectiveContext<T>>` | No

### Methods

Static ngTemplateContextGuard
`ngTemplateContextGuard(dir: DataGridEditCellDefDirective<T>, ctx: any)`
Defined in src/lib/data-grid-edit-cell-def.directive.ts:17
Type parameters : T
Parameters :
Name | Type | Optional
dir | `DataGridEditCellDefDirective<T>` | No
ctx | `any` | No
Returns : `DataGridEditCellDefDirectiveContext<T>`

### Properties

Public template
Type : `TemplateRef<DataGridEditCellDefDirectiveContext<T>>`
Decorators : `@Inject(TemplateRef)`
Defined in src/lib/data-grid-edit-cell-def.directive.ts:26

    import {
      Directive,
      Inject,
      TemplateRef,
    } from '@angular/core';

    export interface DataGridEditCellDefDirectiveContext<T extends Record<string, any> = Record<string, any>> {
      $implicit: T[keyof T];
      data: T;
    }

    @Directive({
      selector: '[rxapDataGridEditCellDef]',
      standalone: true,
    })
    export class DataGridEditCellDefDirective<T extends Record<string, any>> {
      public static ngTemplateContextGuard<T extends Record<string, any>>(
        dir: DataGridEditCellDefDirective<T>,
        ctx: any,
      ): ctx is DataGridEditCellDefDirectiveContext<T> {
        return true;
      }

      constructor(
        @Inject(TemplateRef)
        public template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>,
      ) {
      }
    }

# results matching ""

# No results matching ""